#!/bin/sh
### Copyright 1999-2016. Parallels IP Holdings GmbH. All Rights Reserved.

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x;
fi

prog="`basename $0`"
tmp_d="/usr/local/psa/var"
mu_flag="$tmp_d/${prog%.sh}.flag"

[ ! -f "$mu_flag" ] || exit 0

#####

[ "$(plesk sbin osdetect --vendor)" = "Ubuntu" ] || exit 0
[ "$(plesk sbin osdetect --short-version)" = "14.04" ] || exit 0

if  [ -x "/sbin/initctl" -a -e "/etc/init/mysql.conf" ]; then
	/usr/sbin/update-rc.d -f mysql remove
	[ ! -e "/etc/init/mysql.override" ] || sed -i "/^manual$/d" "/etc/init/mysql.override"
fi

#####

touch "$mu_flag"
